%define name	clustalw
%define version 1.83
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Multiple Sequence Alignment Program
Group:		Sciences/Biology
License:	Freeware
URL:		http://www.ebi.ac.uk/clustalw/
Source:		ftp://ftp.ebi.ac.uk/pub/software/unix/clustalw/%{name}%{version}.UNIX.tar.bz2
Patch:		%{name}.helplocation.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Clustal W is a general purpose multiple sequence alignment program for DNA or
proteins. It produces biologically meaningful multiple sequence alignments of
divergent sequences. It calculates the best match for the selected sequences,
and lines them up so that the identities, similarities and differences can be
seen. Evolutionary relationships can be seen via viewing Cladograms
or Phylograms.

This package is in PLF because of its non-free license.

%prep
%setup -q -n %{name}%{version}
%patch

%build
%make CFLAGS="-c $RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 clustalw %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_datadir}/%{name}
install -m 644 clustalw_help %{buildroot}%{_datadir}/%{name}/help
# fix doc perms
chmod 644 README clustalw.ms globin.pep clustalw.doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README clustalv.doc clustalw.doc clustalw.ms globin.pep
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.83-5plf
- %%mkrel
- fix doc file perms

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.83-4plf
- fix url
- spec cleanup
- rpmbuildupdate aware

* Sun Sep 26 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.83-3plf
- PLF reason
- license

* Fri Feb 28 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.83-2plf
- fix doc perms

* Fri Feb 28 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.83-1plf
- first plf release with a spec stolen from Luc Ducazu <luc@biolinux.org> 
